Bug 101962 - Words with combining characters fail spelling check (win only)
Summary: Words with combining characters fail spelling check (win only)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
5.2.1.2 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2016-09-07 12:47 UTC by Dennis Roczek
Modified: 2019-04-02 02:49 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
the first word "fühlen" gets marked as incorrect by the German spell checker (9.56 KB, application/vnd.oasis.opendocument.text)
2016-09-07 12:47 UTC, Dennis Roczek
Details
correct document (9.55 KB, application/vnd.oasis.opendocument.text)
2016-09-07 13:03 UTC, Dennis Roczek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2016-09-07 12:47:18 UTC
Created attachment 127190 [details]
the first word "fühlen" gets marked as incorrect by the German spell checker

ü (0x75 + unicode binding 0x0308) is not recognized as a valid ü when using spelling correction, see attached document.


Version: 5.2.1.2 (x64)
Build-ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU-Threads: 4; BS-Version: Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 1 Dennis Roczek 2016-09-07 13:03:46 UTC
Created attachment 127193 [details]
correct document
Comment 2 Dennis Roczek 2016-09-07 13:36:45 UTC
cannot reproduced under os x, maybe a win only problem
Comment 3 Buovjaga 2016-10-03 09:18:12 UTC
Confirmed with German spellchecking installed.

Win 7 Pro 64-bit, Version: 5.2.1.2 (x64)
Build ID: 31dd62db80d4e60af04904455ec9c9219178d620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: CL
Comment 4 steve -_- 2016-10-03 11:08:14 UTC
Can not reproduce
Version: 5.2.2.2
Build ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU Threads: 4; OS Version: Mac OS X 10.12; UI Render: default; 
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 5 steve -_- 2016-10-03 11:11:06 UTC
Can not reproduce on linux
Version: 5.1.4.2
Build-ID: 1:5.1.4-0ubuntu1
CPU-Threads: 1; BS-Version: Linux 4.4; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8)
Comment 6 Aron Budea 2016-10-04 01:23:49 UTC
There's a rendering issue as well if OpenGL is enabled, I opened bug 102944 on it.
Steve, if are able to enable OpenGL in Linux or OSX, could you see if you can confirm it?
Comment 7 Xisco Faulí 2016-10-05 08:27:38 UTC
Related to bug 99677?
Comment 8 Dennis Roczek 2016-10-05 22:58:19 UTC
hah, that would mean that this is a regression, wait a few minutes *testing*.

(some minutes later)

@xisco: does not seem so. :-(
Version: 5.0.6.3
Build-ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Gebietsschema: de-DE (de_DE)
(portable apps version) shows same behavior as 5.2.2 which should not have the same problem as mentioned in bug 99677.
Comment 9 Olivier R. 2017-01-17 06:06:53 UTC
Confirmed.
This is not a rendering issue.

The spellchecker Hunspell doesn’t recognize combining characters by default. We had the same issue for the French dictionary.

It can be easily solved by adding special commands in the affixes file which describes how the German dictionary behaves.

These commands are simple: they simply replace characters with combining diacritics by the usual ones before the words are parsed by the spellchecker.

Example:
ICONV 2
ICONV ü ü
ICONV ë ë
etc.

Create the list of characters to be replaced at input.
The first one is the character with combining diacritics, the second one is the usual one.

These commands have to be added to the affixes files of all German dictionaries:
https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_DE_frami.aff
https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_AT_frami.aff
https://cgit.freedesktop.org/libreoffice/dictionaries/tree/de/de_CH_frami.aff

You can have a look at what is done in the French dictionary:
https://cgit.freedesktop.org/libreoffice/dictionaries/tree/fr_FR/fr.aff#n133
(Search for ICONV lines)
Comment 10 Olivier R. 2017-01-17 06:24:17 UTC
I was curious to see why it worked on Linux, so I tried, and it didn’t work either on Linux (Linux Mint). But you can’t see it if you don’t install the German packages.
Comment 11 QA Administrators 2018-01-18 03:33:52 UTC Comment hidden (obsolete)
Comment 12 Dennis Roczek 2018-04-01 11:33:17 UTC
still confirmed with

Version: 6.0.1.1 (x64)
Build-ID: 60bfb1526849283ce2491346ed2aa51c465abfe6
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 13 QA Administrators 2019-04-02 02:49:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug